# SpaceLogicEditor(Space)

base classes — `bpy_struct`, `Space`

class `bpy.types.``SpaceLogicEditor`(Space)

  Logic editor space data

  `show_actuators_active_object`

    Show actuators of active object

    Type: | boolean, default False

  `show_actuators_active_states`

    Show only actuators connected to active states

    Type: | boolean, default False

  `show_actuators_linked_controller`

    Show linked objects to the actuator

    Type: | boolean, default False

  `show_actuators_selected_objects`

    Show actuators of all selected objects

    Type: | boolean, default False

  `show_controllers_active_object`

    Show controllers of active object

    Type: | boolean, default False

  `show_controllers_linked_controller`

    Show linked objects to sensor/actuator

    Type: | boolean, default False

  `show_controllers_selected_objects`

    Show controllers of all selected objects

    Type: | boolean, default False

  `show_sensors_active_object`

    Show sensors of active object

    Type: | boolean, default False

  `show_sensors_active_states`

    Show only sensors connected to active states

    Type: | boolean, default False

  `show_sensors_linked_controller`

    Show linked objects to the controller

    Type: | boolean, default False

  `show_sensors_selected_objects`

    Show sensors of all selected objects

    Type: | boolean, default False

  `draw_handler_add`()

    Undocumented

  `draw_handler_remove`()

    Undocumented

Inherited Properties

`bpy_struct.id_data` `Space.type` | `Space.show_locked_time`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`